Bug 591347 - SELinux empêche l'accès en "signal" à /bin/bash
SELinux empêche l'accès en "signal" à /bin/bash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:f2e61a816a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 20:00 EDT by Carl G.
Modified: 2010-05-28 14:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-21.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 14:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl G. 2010-05-11 20:00:42 EDT
Résumé:

SELinux empêche l'accès en "signal" à /bin/bash

Description détaillée:

SELinux a refusé l'accès demandé par bash. Il n'est pas prévu que cet accès
soit requis par bash et cet accès peut signaler une tentative d'intrusion. Il
est également possible que cette version ou cette configuration spécifique de
l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               staff_u:staff_r:staff_t:s0
Contexte cible                staff_u:staff_r:ping_t:s0
Objets du contexte            None [ process ]
source                        bash
Chemin de la source           /bin/bash
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         bash-4.1.2-4.fc13
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.7.19-13.fc13
Selinux activé               True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé) 2.6.33.3-85.fc13.x86_64
                              #1 SMP Thu May 6 18:09:49 UTC 2010 x86_64 x86_64
Compteur d'alertes            1
Première alerte              mar. 11 mai 2010 19:58:47 EDT
Dernière alerte              mar. 11 mai 2010 19:58:47 EDT
ID local                      eb20cab6-9254-4fa7-bae7-140cf516c02b
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1273622327.857:32703): avc:  denied  { signal } for  pid=30927 comm="bash" scontext=staff_u:staff_r:staff_t:s0 tcontext=staff_u:staff_r:ping_t:s0 tclass=process

node=(supprimé) type=SYSCALL msg=audit(1273622327.857:32703): arch=c000003e syscall=62 success=no exit=-13 a0=ffff871b a1=1 a2=0 a3=1e2b items=0 ppid=30925 pid=30927 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts1 ses=1 comm="bash" exe="/bin/bash" subj=staff_u:staff_r:staff_t:s0 key=(null)


Well... mhm, i send a SIGTERM (CTRL-C) to a program in Bash and that's what i got (PING).
Hash String generated from  catchall,bash,staff_t,ping_t,process,signal
audit2allow suggests:

#============= staff_t ==============
allow staff_t ping_t:process signal;
Comment 1 Daniel Walsh 2010-05-12 09:02:05 EDT
Fixed in selinux-policy-3.7.19-16.fc13.noarch
Comment 2 Fedora Update System 2010-05-25 10:36:18 EDT
selinux-policy-3.7.19-21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13
Comment 3 Fedora Update System 2010-05-26 17:45:26 EDT
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13
Comment 4 Fedora Update System 2010-05-28 14:00:55 EDT
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.